using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;

namespace SlnMesnac.Model.domain
{
    [SugarTable("prod_order_info"), TenantAttribute("mes")]
    [DataContract(Name = "ProdOrderInfo erp订单信息")]
    public class ProdOrderInfo
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnName = "obj_id", IsPrimaryKey = true)]
        public int ObjId { get; set; }

        /// <summary>
        /// ERP订单编号
        /// </summary>
        [SugarColumn(ColumnName = "order_code")]
        public string OrderCode { get; set; }

        /// <summary>
        /// 物料编号
        /// </summary>
        [SugarColumn(ColumnName = "material_code")]
        public string MaterialCode { get; set; }

        /// <summary>
        /// 物料名称
        /// </summary>
        [SugarColumn(ColumnName = "material_name")]
        public string MaterialName { get; set; }

        /// <summary>
        /// 订单计划数量
        /// </summary>
        [SugarColumn(ColumnName = "order_amount")]
        public string OrderAmount { get; set; }

        /// <summary>
        /// 完成数量
        /// </summary>
        [SugarColumn(ColumnName = "complete_amount")]
        public string CompleteAmount { get; set; }

        /// <summary>
        /// 订单类型
        /// </summary>
        [SugarColumn(ColumnName = "order_type")]
        public string OrderType { get; set; }

        /// <summary>
        /// 订单类型
        /// </summary>
        [SugarColumn(ColumnName = "order_status")]
        public string OrderStatus { get; set; }

        /// <summary>
        /// 计划开始时间
        /// </summary>
        [SugarColumn(ColumnName = "begin_date")]
        public string BeginDate { get; set; }

        /// <summary>
        /// 计划完成时间
        /// </summary>
        [SugarColumn(ColumnName = "end_date")]
        public string EndDate { get; set; }

        /// <summary>
        /// 实际开始时间
        /// </summary>
        [SugarColumn(ColumnName = "real_begin_date")]
        public string RealBeginDate { get; set; }

        /// <summary>
        /// 实际完成时间
        /// </summary>
        [SugarColumn(ColumnName = "real_end_date")]
        public string RealEndDate { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnName = "created_by")]
        public string CreatedBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "created_time")]
        public string CreatedTime { get; set; }

        /// <summary>
        /// 更新人
        /// </summary>
        [SugarColumn(ColumnName = "updated_by")]
        public string UpdatedBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnName = "updated_time")]
        public string UpdatedTime { get; set; }
    }
}
